<?php
/**
 * @author Takács Ákos (Rimelek), programmer [at] rimelek [dot] hu
 * @copyright Copyright (C) 2008, Takács Ákos
 * @package REPHPGraph
 */

/**
 * IObject interfész
 * 
 * Ez az interfész csak egy metódust tartalmaz.<br /> 
 * Minden objektumnak, amit a képre szeretnénk helyezni, tartalmaznia kell a create() metódust!<br />
 * Ezt a metódust hívja meg a {@link Graph} osztály {@link Graph::add()} metódusa.<br />
 * Ebből adódóan minden objektumnak meg kell valósítania az IObject interfészt!
 * 
 * @author Takács Ákos (Rimelek), programmer [at] rimelek [dot] hu
 * @copyright Copyright (C) 2009, Takács Ákos
 * @version 1.0
 * @package REPHPGraph
 */        
interface IObject
{
	public function create();
}
?>